Summary:    Implementation of the RFC1413 identification server
Name:       oidentd
Version:    2.0.8
Release:    21%{?dist}
# doc/oidentd.8:            GFDL
# doc/oidentd_masq.conf.5:  GFDL
# COPYING.DOC:              This is GFDL
# src/oidentd_options.c:    GPLv2
# src/oidentd_util.h:       GPLv2
# src/oidentd_cfg_parse.y:  GPLv2
# src/oidentd_cfg_parse.h:  GPLv2 (Bison product of oidentd_cfg_parse.y)
# src/oidentd_cfg_parse.c:  GPLv2 (Bison product of oidentd_cfg_parse.y)
# src/missing/snprintf.c:   BSD
# src/missing/inet_aton.c:  BSD and MIT
# src/missing/vasprintf.c:  LGPLv2+ (bundled from libiberty)
# src/missing/getopt.c:     LGPLv2+ (bundled from glibc)
# COPYING:                  This is GPLv2
## Files not in binary package
# depcomp:                  GPLv2+
# config.sub:               GPLv2+ with exception
# config.guess:             GPLv2+ with exception
# missing:                  GPLv2+ with exception
# install-sh:               MIT and Public Domain
# configure:                FSFUL
# aclocal.m4:               FSFULLR
# Makefile.in:              FSFULLR
# doc/Makefile.in:          FSFULLR
# src/missing/getopt_missing.h:     LGPLv2+ (bundled from glibc)
# src/kernel/darwin.c:      BSD
# src/kernel/openbsd.c:     Public Domain
# src/kernel/openbsd24.c:   Public Domain
# src/kernel/openbsd29.c:   GPLv2
# src/kernel/solaris7.c:    ??? (something GPL-compatible)
License:    GPLv2 and LGPLv2+ and BSD and MIT and GFDL
Group:      System Environment/Daemons
URL:        http://ojnk.sourceforge.net/
Source0:    http://downloads.sourceforge.net/ojnk/%{name}-%{version}.tar.gz
Source1:    oidentd.service
Source2:    oidentd.sysconfig
Patch0:     oidentd-2.0.8-linux-2.6.21.patch
# Log errors when opening conntracking table, bug #1316308
Patch1:     oidentd-2.0.8-Log-Linux-core_init-failures-as-normal-error.patch
# Open conntracking table only if masquerading feature is requested,
# bug #1316308
Patch2:     oidentd-2.0.8-Linux-Do-not-open-conntracking-table-if-masquerading.patch
BuildRequires:  bison
BuildRequires:  coreutils
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed
BuildRequires:  systemd
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd
Provides:   identd = %{version}-%{release}

%description
The oidentd package contains identd, which implements the RFC1413
identification server.  Identd looks up specific TCP/IP connections
and returns either the user name or other information about the
process that owns the connection.

Install oidentd if you need to look up information about specific
TCP/IP connections.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
    --enable-masq \
    --enable-ipv6 \
    --disable-debug \
    --disable-warn \
    CFLAGS="${RPM_OPT_FLAGS} -std=gnu89"
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/oidentd.service
install -D -p -m 0640 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/oidentd
touch %{buildroot}%{_sysconfdir}/oidentd{,_masq}.conf

%post
%systemd_post oidentd.service

%preun
%systemd_preun oidentd.service

%postun
%systemd_postun_with_restart oidentd.service

%files
%doc AUTHORS ChangeLog* NEWS README TODO doc/rfc1413
%license COPYING*
%ghost %config(noreplace) %{_sysconfdir}/oidentd.conf
%ghost %config(noreplace) %{_sysconfdir}/oidentd_masq.conf
%config(noreplace) %{_sysconfdir}/sysconfig/oidentd
%{_unitdir}/oidentd.service
%{_sbindir}/oidentd
%{_mandir}/man?/*


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Mar 11 2016 Petr Pisar <ppisar@redhat.com> - 2.0.8-20
- Log errors when opening conntracking table (bug #1316308)
- Open conntracking table only if masquerading feature is requested
  (bug #1316308)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 26 2015 Petr Pisar <ppisar@redhat.com> - 2.0.8-18
- Modernize the specification file
- License tag corrected to (GPLv2 and LGPLv2+ and BSD and MIT and GFDL)
- Enable NAT support
- Migrate from System V to systemd service (bug #1082236)

* Wed Aug 19 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.0.8-17
- Append -std=gnu89 to CFLAGS (Fix F23FTBFS, RHBZ#1239743).
- Add %%license.
- Modernize spec.
- Fix bogus changelog entry.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 11 2009 Matthias Saou <http://freshrpms.net/> 2.0.8-7
- Update init script (#247006).
- Mark the ghosted config files as noreplace just in case.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 2.0.8-4
- Rebuild for new BuildID feature.

* Mon Aug  6 2007 Matthias Saou <http://freshrpms.net/> 2.0.8-3
- Include masquerade patch fix for 2.6.21+ (#247868, Vilius Šumskas).
- Update License field.
- Switch to using DESTDIR install method.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 2.0.8-2
- FC6 rebuild.

* Thu Jun 29 2006 Matthias Saou <http://freshrpms.net/> 2.0.8-1
- Update to 2.0.8 which fixes bugzilla #173754.
- Don't flag init script as %%config.
- Rename init script "identd" -> "oidentd", remove pidentd conflict and add
  update scriplet special case when upgrading from the "identd" service.
- Move options into a sysconfig file.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 2.0.7-9
- FC5 rebuild.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 2.0.7-8
- Remove obsolete identd.spoof and oidentd.users files (thanks to Apu).
- Ghost new configuration files (oidentd.conf & oidentd_masq.conf), but
  including some sane defaults would be even better.
- Cosmetic changes to the init file, and now default to disabled.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.0.7-7
- rebuild on all arches

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 2.0.7-5
- Bump release to provide Extras upgrade path.

* Wed Nov  3 2004 Matthias Saou <http://freshrpms.net/> 2.0.7-4
- Rebuild for Fedora Core 3.
- Change /etc/init.d to /etc/rc.d/init.d and minor other spec tweaks.

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 2.0.7-3
- Rebuild for Fedora Core 2.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 2.0.7-2
- Rebuild for Fedora Core 1.

* Tue Jul 15 2003 Matthias Saou <http://freshrpms.net/>
- Update to 2.0.7.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Sun Sep 29 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.

* Thu Aug 22 2002 Matthias Saou <http://freshrpms.net/>
- Fixed the init script's status, thanks to JÃ¸rn for spotting this.

* Wed Aug 21 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.0.4.

* Fri May  3 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Tue Jan  8 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.0.3.
- Fix user in %%files for "-".

* Sun Dec 30 2001 Matthias Saou <http://freshrpms.net/>
- Update to 2.0.2.

* Thu Oct  4 2001 Matthias Saou <http://freshrpms.net/>
- Update to 2.0.1.

* Mon Oct  1 2001 Matthias Saou <http://freshrpms.net/>
- Update to 2.0.0.

* Sat Sep 15 2001 Matthias Saou <http://freshrpms.net/>
- Update to 1.9.9.1.

* Mon Aug 27 2001 Matthias Saou <http://freshrpms.net/>
- Update to 1.9.9 (complete program rewrite).
- Added new docs and manpages.

* Tue Apr 24 2001 Matthias Saou <http://freshrpms.net/>
- Spec file cleanup and rebuilt for Red Hat 7.1.

* Tue Jan  2 2001 Matthias Saou <http://freshrpms.net/>
- Added a Conflicts: for pidentd
- Quick cleanup
- Fixed o-r modes
- Changed the uid/gid in the initscript

* Wed Dec 27 2000 Matthias Saou <http://freshrpms.net/>
- Initial RPM release

